Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 18 Oct 2017, 00:00
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Engineering/Science/Simulation
Purebasic problem with tahr 602
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
der-schutzhund

Joined: 26 Nov 2007
Posts: 1040
Location: Blomberg / Germany

PostPosted: Sun 23 Jul 2017, 17:43    Post subject:  Purebasic problem with tahr 602  

Hi,

I have a little problem with the software Purebasic under Tahr puppy 6.0.2.
Purebasic is a crosscompiler with which it is possible to create software parallel for Windows, Linux and Mac! Really awesome program!
Now to the problem where you can hopefully help me!
The program runs and at first glance everything is ok.
There is a module called WebGadget that allows you to display web pages and html files. This does not work.
If I start the script checkinstall.sh the following error is displayed:
-------------------------------------
Package libxine was not found in the pkg-config search path.
Perhaps you should add the directory containing `libxine.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libxine' found
xine devel package need to be installed to use PureBasic
-------------------------------------
What should I do?

The version of purebasic I am using is no longer up to date. Perhaps it would also be interesting if someone would get the latest version 5.60 under tahr 6.0.2 to run.This version is actually synonymous to a few problems.
http://www.purebasic.com/index.php

Many Thanks

Wolfgang
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 146
Location: Germany

PostPosted: Sun 23 Jul 2017, 18:40    Post subject:  

@der-schutzhund

sometimes it's useful to read the README file. Wink

Requierement:
-------------
- gcc
- GTK+ 2.0 devel (and optionally GTK+ 1.2 devel for old application support)
- SDL 1.2 devel
- libstdc++ devel
- iodbc and iodbc-devel to be able to use the Database commands (see www.iodbc.org)
- libwebkit.so shoud be installed to have the WebGadget() working
- xine and xine-devel for the Movie commands
- libgnomeprintui2.2 and libgnomeprintui2.2-devel for the print commands

greetings
Back to top
View user's profile Send private message Visit poster's website 
der-schutzhund

Joined: 26 Nov 2007
Posts: 1040
Location: Blomberg / Germany

PostPosted: Mon 24 Jul 2017, 04:40    Post subject:  

Quote:
- libwebkit.so shoud be installed to have the WebGadget() working
- xine and xine-devel for the Movie commands


Where do I get this
Property already searched but nothing for tahr 602 found

greetings

Wolfgang
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 146
Location: Germany

PostPosted: Mon 24 Jul 2017, 09:27    Post subject:  

really old stuff,
open package manager and search for xine-lib and xine-lib_DEV package or similar
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Engineering/Science/Simulation
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0752s ][ Queries: 11 (0.0218s) ][ GZIP on ]